Page MenuHomePhabricator

Update ogv.js to 1.1.0 release
Closed, ResolvedPublic

Description

ogv.js 1.1.0 is now in alpha: https://github.com/brion/ogv.js/releases/tag/1.1.0-alpha.0

This fixes lots of little bugs, supports volume control, and has major fixes to seeking and source-switching which should be nice. Also various improvements that should work better with the experimental videojs integration.

After shaking 1.1.0 out for a couple more days, should be ok to go ahead and merge.

Event Timeline

brion created this task.May 1 2016, 12:24 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 1 2016, 12:24 PM

Change 286307 had a related patch set uploaded (by Brion VIBBER):
[WIP] Update ogv.js to 1.1.0-alpha.0

https://gerrit.wikimedia.org/r/286307

Paladox added a subscriber: Paladox.May 1 2016, 1:51 PM
TheDJ added a subscriber: TheDJ.May 1 2016, 3:01 PM
TheDJ triaged this task as Normal priority.May 2 2016, 10:08 PM
TheDJ added a project: TimedMediaHandler.
TheDJ moved this task from Backlog to Doing on the TimedMediaHandler board.
Paladox updated the task description. (Show Details)May 8 2016, 10:41 AM
Paladox updated the task description. (Show Details)May 8 2016, 10:50 AM
Paladox added a comment.EditedMay 8 2016, 3:34 PM

@brion ogv.js is much faster in videojs which handles streaming 480p very fast I didn't notice any drops in the video or it stoping.

We could increase the resolution for ogv in videojs due to it handling the video really better then kaultra player.

brion added a comment.May 11 2016, 5:00 PM

1.1.0 is tagged and released; ready to merge https://gerrit.wikimedia.org/r/#/c/286307/

TheDJ closed this task as Resolved.May 11 2016, 6:22 PM
TheDJ removed a project: Patch-For-Review.
TheDJ moved this task from Doing to Done on the TimedMediaHandler board.

Change 286307 merged by jenkins-bot:
Update ogv.js to 1.1.0 release

https://gerrit.wikimedia.org/r/286307